org.eclipse.jgit.api

## Class SubmoduleSyncCommand

- java.lang.Object
- - org.eclipse.jgit.api.GitCommand<Map<String,String>>
  - - org.eclipse.jgit.api.SubmoduleSyncCommand

All Implemented Interfaces:
  Callable<Map<String,String>>

    public class SubmoduleSyncCommand
    extends GitCommand<Map<String,String>>

A class used to execute a submodule sync command. This will set the remote URL in a submodule's repository to the current value in the .gitmodules file.

See Also:
  Git documentation about submodules

### Field Summary

### Fields inherited from class org.eclipse.jgit.api.GitCommand

`repo`

### Constructor Summary

Constructors
Constructor and Description
`SubmoduleSyncCommand(Repository repo)`

### Method Summary

Methods
`SubmoduleSyncCommand` `addPath(String path)` Add repository-relative submodule path to synchronize
`Map<String,String>` `call()` Executes the command
`protected String` `getHeadBranch(Repository subRepo)` Get branch that HEAD currently points to

### Methods inherited from class org.eclipse.jgit.api.GitCommand

`checkCallable, getRepository, setCallable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubmoduleSyncCommand

    public SubmoduleSyncCommand(Repository repo)

Parameters:
  `repo` -

### Method Detail

#### addPath

    public SubmoduleSyncCommand addPath(String path)

Add repository-relative submodule path to synchronize

Parameters:
  `path` - (with `/` as separator)
Returns:
  this command

#### getHeadBranch

    protected String getHeadBranch(Repository subRepo)
                            throws IOException

Get branch that HEAD currently points to

Parameters:
  `subRepo` -
Returns:
  shortened branch name, null on failures
Throws:
  `IOException`

#### call

    public Map<String,String> call()
                            throws GitAPIException

Description copied from class: `GitCommand`
Executes the command

Specified by:
  `call` in interface `Callable<Map<String,String>>`
Specified by:
  `call` in class `GitCommand<Map<String,String>>`
Returns:
  T a result. Each command has its own return type
Throws:
  `GitAPIException` - or subclass thereof when an error occurs